# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /workspace/conda/recipes/kvikio, last modified Tue Jun  7 15:41:26 2022
# ------------------------------------------------

package:
  name: kvikio
  version: 22.06.00
source:
  git_url: ../../..
build:
  ignore_run_exports_from:
    - nvcc_linux-64
  number: '0'
  script:
    - cd python
    - python -m pip install . -vv
  script_env:
    - PARALLEL_LEVEL
    - VERSION_SUFFIX
  string: cuda_11_py39_g5cddbab_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 h5bd9786_13
    - binutils_impl_linux-64 2.36.1 h193b22a_2
    - binutils_linux-64 2.36 hf3e587d_10
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.18.1 h7f98852_0
    - ca-certificates 2022.5.18.1 ha878542_0
    - cmake 3.23.2 h5432695_0
    - expat 2.4.8 h27087fc_0
    - gcc_impl_linux-64 9.4.0 h03d3576_16
    - gcc_linux-64 9.4.0 h391b98a_10
    - gxx_impl_linux-64 9.4.0 h03d3576_16
    - gxx_linux-64 9.4.0 h0316aca_10
    - kernel-headers_linux-64 3.10.0 h4a8ded7_13
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.19.3 h08a2579_0
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libcurl 7.83.1 h2283fc2_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libgcc-devel_linux-64 9.4.0 hd854feb_16
    - libgcc-ng 12.1.0 h8d9b700_16
    - libgomp 12.1.0 h8d9b700_16
    - libnghttp2 1.47.0 he49606f_0
    - libsanitizer 9.4.0 h79bfe98_16
    - libssh2 1.10.0 ha35d2d1_2
    - libstdcxx-devel_linux-64 9.4.0 hd854feb_16
    - libstdcxx-ng 12.1.0 ha89aaad_16
    - libuv 1.43.0 h7f98852_0
    - libzlib 1.2.12 h166bdaf_0
    - lz4-c 1.9.3 h9c3ff4c_1
    - ncurses 6.3 h27087fc_1
    - ninja 1.11.0 h924138e_0
    - nvcc_linux-64 11.5 h44f499b_18
    - openssl 3.0.3 h166bdaf_0
    - rhash 1.4.1 h7f98852_0
    - sed 4.8 he412f7d_0
    - sysroot_linux-64 2.17 h4a8ded7_13
    - xz 5.2.5 h516909a_1
    - zlib 1.2.12 h166bdaf_0
    - zstd 1.5.2 h8a70e8d_1
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.18.1 h7f98852_0
    - ca-certificates 2022.5.18.1 ha878542_0
    - cmake 3.23.2 h5432695_0
    - cudatoolkit 11.5.1 hcf5317a_9
    - cython 0.29.30 py39h5a03fae_0
    - distro 1.6.0 pyhd8ed1ab_0
    - expat 2.4.8 h27087fc_0
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.19.3 h08a2579_0
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libcurl 7.83.1 h2283fc2_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.1.0 h8d9b700_16
    - libgomp 12.1.0 h8d9b700_16
    - libkvikio 22.06.00 cuda11_g5cddbab_0
    - libnghttp2 1.47.0 he49606f_0
    - libnsl 2.0.0 h7f98852_0
    - libssh2 1.10.0 ha35d2d1_2
    - libstdcxx-ng 12.1.0 ha89aaad_16
    - libuuid 2.32.1 h7f98852_1000
    - libuv 1.43.0 h7f98852_0
    - libzlib 1.2.12 h166bdaf_0
    - lz4-c 1.9.3 h9c3ff4c_1
    - make 4.3 hd18ef5c_1
    - ncurses 6.3 h27087fc_1
    - openssl 3.0.3 h166bdaf_0
    - packaging 21.3 pyhd8ed1ab_0
    - pip 22.1.2 pyhd8ed1ab_0
    - pyparsing 3.0.9 pyhd8ed1ab_0
    - python 3.9.13 h2660328_0_cpython
    - python_abi 3.9 2_cp39
    - readline 8.1 h46c0cb4_0
    - rhash 1.4.1 h7f98852_0
    - scikit-build 0.15.0 pyhb871ab6_0
    - setuptools 62.3.2 py39hf3d152e_0
    - sqlite 3.38.5 h4ff8645_0
    - tk 8.6.12 h27826a3_0
    - tzdata 2022a h191b570_0
    - wheel 0.37.1 pyhd8ed1ab_0
    - xz 5.2.5 h516909a_1
    - zlib 1.2.12 h166bdaf_0
    - zstd 1.5.2 h8a70e8d_1
  run:
    - __glibc >=2.17,<3.0.a0
    - cudatoolkit >=11,<12.0a0
    - cupy
    - libgcc-ng >=12
    - libkvikio >=22.6.0,<22.7.0a0
    - libstdcxx-ng >=12
    - python_abi 3.9.* *_cp39
    - zarr
test:
  imports:
    - kvikio
    - kvikio.cufile
    - kvikio.defaults
    - kvikio.zarr
about:
  home: http://rapids.ai/
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: KvikIO - GPUDirect Storage
extra:
  copy_test_source_files: true
  final: true
